#!/usr/bin/env bash
set -euo pipefail

target="$1"

case "$target" in
    "staging")
        nix_package="schulischer-schabernack-staging"
        directory="staging"
        ;;
    "production")
        nix_package="schulischer-schabernack"
        directory="production"
        ;;
    *)
        echo "Invalid target ${SCHABERNACK_ENV}"
        exit 1
        ;;
esac

nix build -o "result-${target}" -L ".#${nix_package}"
rsync -varzLP --delete "result-${target}/" "schabernack@yuzuru.sbruder.xyz:${directory}"
